summaryrefslogtreecommitdiff
path: root/hg/init.d/50git-ignore
diff options
context:
space:
mode:
Diffstat (limited to 'hg/init.d/50git-ignore')
-rw-r--r--hg/init.d/50git-ignore22
1 files changed, 22 insertions, 0 deletions
diff --git a/hg/init.d/50git-ignore b/hg/init.d/50git-ignore
new file mode 100644
index 0000000..f931592
--- /dev/null
+++ b/hg/init.d/50git-ignore
@@ -0,0 +1,22 @@
+#!/bin/sh
+set -e
+if [ ! -e .gitignore ]; then
+ cat >.gitignore <<EOF
+*~
+
+# new and old versions of conffiles, stored by dpkg
+*.dpkg-*
+
+# mount(8) records system state here, no need to keep these in git
+blkid.tab
+blkid.tab.old
+
+# some other files in /etc that typically do not need to be tracked
+ld.so.cache
+mtab
+.pwd.lock
+network/run
+adjtime
+
+EOF
+fi